Subject: Re: bug#28110: 25.2; crashes when opening a file with Kannada script

From: Venkatesh Reddy <[email-masked]>
Date: Thu, 17 Aug 2017 17:56:59 +0530

Eli/Andreas,
Here are a few more things I tried.
1. Removed the current libotf and libm17n-flt libraries, installed the
versions
libm17n-flt                                    1.6.4-2ubuntu1
libotf0:amd64                                  0.9.13-3
Configured and compiled emacs.  This crashes as well.

2. If I set the default font to Noto-Kannada and open the file, It has no
issues but crashes as soon as I start adding English words.

3. The crash occurs only when a certain combination of Kannada chars are
present along with English characters/Words.

Let me know if you need additional data.

There were no such issues with a variant of ubuntu-14.04.

Regards,
Reddy

On Wed, Aug 16, 2017 at 10:24 PM, Eli Zaretskii <[email-masked]> wrote:

> > From: Andreas Schwab <[email-masked]>
> > Cc: [email-masked],  [email-masked]
> > Date: Wed, 16 Aug 2017 18:50:32 +0200
> >
> > On Aug 16 2017, Eli Zaretskii <[email-masked]> wrote:
> >
> > > Andreas, can you please tell what versions of libotf and libm17n-flt
> > > do you use?
> >
> > 0.9.13 and 1.6.4.
>
> Thanks.  Reddy, please compare this with your versions, in addition to
> finding out what font is installed on your system for Kannada.
>